Skip to main content
GET
Get a card's activities, paginated

Path Parameters

cardPublicId
string
required

Query Parameters

limit
number
default:10

Maximum number of activities to return.

Required range: 1 <= x <= 100
cursor
string<date-time>

Pagination cursor: nextCursor from the previous page.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
cursorPublicId
string

Pagination cursor: nextCursorPublicId from the previous page.

Required string length: 12
order
enum<string>
default:oldest

Return the oldest or newest activities first.

Available options:
oldest,
newest

Response

200 - application/json
activities
object[]
required
hasMore
boolean
required
nextCursor
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
nextCursorPublicId
string | null
required
Required string length: 12